#ifndef DIALOG_H_INCLUDED
#define DIALOG_H_INCLUDED

/* $Id$
 * 
 * Copyright (c) 1994-98 Martin Buck  <martin.buck@bigfoot.com>
 * Read COPYING for more information
 */


#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>


typedef struct {
  Frame frame;
  Panel_item list;
  int startup, borderht, rowht;
} popups_t;


extern popups_t popups[];
extern int station_selected;


void position_popups(void);
void iconify_popups(int state);
int chk_conf_overwrite(const char *path, int can_append, int can_merge);
void about_proc(void);
void stat_proc(void);
void sel_station_proc(void);
void sel_st_update(int update_sel);
void hotlist_proc(void);
void hot_update(void);
void search_proc(void);
void search_notify_cb(int reqid, int bell);
void search_reset(void);
void search_new_station(void);
void history_proc(void);
void history_move(int direction);
void toptext_proc(void);
void toptext_go_nextpage(void);
void get_next_toppage(int history);
void toptext_go_prevpage(void);
void get_prev_toppage(int history);
void toptext_go_nextgrp(void);
void toptext_go_nextblk(void);
void toptext_ok_notify(void);
void fastext_proc(void);
void fastext_new_buttons(int page, int subpage);
void fastext_ok_notify(void);
void pgdesc_update(int page);
void layout_proc(void);
void tvopt_proc(void);
void psopt_proc(void);
void miscopt_proc(void);
void station_opt_proc(void);
void station_opt_update(void);
void tuning_proc(void);
void tuning_update(int doinit);
void spool_opt_proc(void);
void spool_opt_update(void);
void copy_set_menu_proc(void);
void load_proc(void);
void save_proc(void);
void export_proc(void);
void fcs_update_name(void);

#endif /* DIALOG_H_INCLUDED */
