#ifndef FASTEXT_H_INCLUDED
#define FASTEXT_H_INCLUDED

/* $Id: fastext.h,v 1.1 1997/10/22 23:47:37 mb Exp mb $
 * 
 * Copyright (c) 1996-97 Martin Buck  <martin.buck@bigfoot.com>
 * Read COPYING for more information
 */

#include <sys/vtx.h>


typedef struct fastext_buttons_s {
  char btnbuf[41];
  int button[4];
  int num_buttons;
} fastext_buttons_t;
typedef struct fastext_link_entry_s {
  int page, hour, minute;
} fastext_link_entry_t;
typedef struct fastext_links_s {
  fastext_link_entry_t link[4 * 6];
  int max_link;
} fastext_links_t;


extern int fastext_ok;

int fastext_cmp_packets(const byte_t *packet24_1, const byte_t *packet27_1,
    const byte_t *packet24_2, const byte_t *packet27_2);
int fastext_newpage(const byte_t *packet24, const byte_t *packet27, const vtx_pageinfo_t *pginf);
int fastext_get_pginfo(int page, int subpage, const fastext_buttons_t **buttons,
    const fastext_links_t **links, const byte_t **packet24, const byte_t **packet27);
void fastext_reset(void);

#endif /* FASTEXT_H_INCLUDED */
