#ifndef HOTLIST_H_INCLUDED
#define HOTLIST_H_INCLUDED

/* $Id: hotlist.h,v 1.2 1997/09/14 01:41:22 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */

#include "toptext.h"
#include "search.h"


#define STATIONNAME_MAXLEN 24
#define HOTLIST_VALUE_MAXLEN 500
#define HL_HOTLIST     (1 << 0)
#define HL_TIMEOUT     (1 << 1)
#define HL_INTERLEAVE  (1 << 2)
#define HL_TOPDISABLE  (1 << 3)
#define HL_FASTDISABLE (1 << 4)
#define HL_SEARCHLEVEL (1 << 5)
#define HL_LOOKAHEAD   (1 << 6)
#define HL_INDEXPAGE   (1 << 7)
#define HL_READSPOOL   (1 << 8)
#define HL_WRITESPOOL  (1 << 9)
#define HL_EXINCLIST   (1 << 10)
#define HL_EXPIRE      (1 << 11)
#define HL_CHANNEL     (1 << 12)
#define HL_FREQUENCY   (1 << 13)
#define HL_PROG        (1 << 14)
#define HL_SEARCHREQ   (1 << 15)


extern int hotlist_count;


void hotlist_init(void);
void hotlist_exit(void);
void hotlist_add(int page, int pos);
int hotlist_remove(int pos);
int hotlist_get(int pos);
int hotlist_get_hotlist(int **list);
void hotlist_set_hotlist(int *list, int count);
int hotlist_get_count(int station);
int hotlist_get_stcount(void);
void hotlist_set_current(int station);
int hotlist_get_current(void);
void hotlist_put_queue(void);
char** hotlist_mkstr(int *count);
char* hotlist_get_name(void);
char* hotlist_get_name_n(int entry);
char* hotlist_get_header_n(int entry);
int hotlist_search(const byte_t *vtx_name, int hint);
void hotlist_new_name(const char *name, const char *header, int station);
int hotlist_station_changed(void);
int hotlist_get_timeout(void);
void hotlist_set_timeout(int timeout);
int hotlist_get_interleave(void);
void hotlist_set_interleave(int interleave);
int hotlist_get_lookahead(void);
void hotlist_set_lookahead(int lookahead);
int hotlist_get_topdisable(void);
void hotlist_set_topdisable(int disable);
int hotlist_get_fastdisable(void);
void hotlist_set_fastdisable(int disable);
int hotlist_get_index_page(void);
void hotlist_set_index_page(int page);
tt_pageclass_t hotlist_get_searchlevel(void);
void hotlist_set_searchlevel(tt_pageclass_t level);
int hotlist_get_spoolflag(int private, int read);
void hotlist_set_spoolflag(int read, int flag);
int hotlist_get_expire(void);
void hotlist_set_expire(int expire);
const char* hotlist_get_includelist(void);
int hotlist_set_includelist(const char *list);
const char* hotlist_get_excludelist(void);
int hotlist_set_excludelist(const char *list);
const char* hotlist_get_channel(void);
void hotlist_set_channel(const char *channel);
int hotlist_get_freq(void);
void hotlist_set_freq(int freq);
int hotlist_get_prog(void);
void hotlist_set_prog(int prog);
int hotlist_get_tunset_n(int entry);
void hotlist_clear_searchdata(void);
void hotlist_add_searchdata(search_data_t *data);
search_data_t *hotlist_get_searchdata(int num);
int hotlist_check_spool(int page);
void hotlist_copy(int station, int flags);

#endif /* HOTLIST_H_INCLUDED */
