#ifndef POSTSCRIPT_H_INCLUDED
#define POSTSCRIPT_H_INCLUDED

/* $Id: postscript.h,v 1.1 1996/09/22 22:34:06 mb Exp mb $
 * 
 * Copyright (c) 1995-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */

#include <stdio.h>
#include "vtxdecode.h"


typedef enum { PAPER_A4, PAPER_A3, PAPER_LETTER, PAPER_LEGAL } ps_papertype_t;
typedef struct {
  const char *name;
  int width, height;
} ps_paperdata_t;


extern const ps_paperdata_t ps_paperdata[];


void ps_write_header(FILE *file, const char *filename, int epsf, int xpages, int ypages,
    ps_papertype_t paper, int landscape);
void ps_write_page(const vtxpage_t *page, const char *station, int show_hidden, int color,
    int invert);
void ps_write_trailer(void);
void ps_copy_page(const unsigned char *pagedata);
int ps_seek_page(FILE *file, int reqnum);
int ps_read_page(FILE *file, int reqnum, unsigned char **destptr);

#endif /* POSTSCIPT_H_INCLUDED */
