#ifndef TOPTEXT_H_INCLUDED
#define TOPTEXT_H_INCLUDED

/* $Id: toptext.h,v 1.1 1996/10/14 21:33:17 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */

#include <stdio.h>
#include <sys/vtx.h>


#define NUM_BASICTOP 0x1f0


typedef enum { TT_NONE, TT_BLOCK, TT_GROUP, TT_NORM, TT_SUBPG, TT_COUNT } tt_pageclass_t;
typedef struct ttdesc_s {
  char fullname[32], pagename[19];
  int page, is_block;
  struct ttdesc_s *next;
} ttdesc_t;
typedef void (*topreq_cb)(int, int, int);


extern const char * const tt_pageclass_str[];
extern int toptext_ok, toptext_failed;


int toptext_newpage(const byte_t *buffer, const vtx_pageinfo_t *pginf, topreq_cb getpage);
int toptext_getnext(int current, int inc, int sort, tt_pageclass_t initlevel,
    tt_pageclass_t maxlevel);
void toptext_reset(void);
int toptext_numsubpg(int page);
int toptext_nextblkpg(int pgnum);
int toptext_nextgrppg(int pgnum);
int toptext_pginc(int page);
int toptext_pgdec(int page);
char* toptext_pgdesc(int page);
ttdesc_t* toptext_mkdesctable(int *count);
void toptext_dump(FILE *file);

#endif /* TOPTEXT_H_INCLUDED */
