#ifndef XINIT_H_INCLUDED
#define XINIT_H_INCLUDED

/* $Id: xinit.h,v 1.3 1997/10/21 22:43:06 mb Exp mb $
 *
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include <sys/vtx.h>
#include <X11/Xlib.h>
#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>
#include <xview/canvas.h>
#include <xview/cms.h>
#include <xview/svrimage.h>
#include "fileio.h"
#include "config.h"


#define CMSCWHITE   0
#define CMSCCYAN    1
#define CMSCMAGENTA 2
#define CMSCBLUE    3
#define CMSCYELLOW  4
#define CMSCGREEN   5
#define CMSCRED     6
#define CMSCBLACK   7
#define VTXCBLACK   vtxcolors[0]
#define VTXCRED     vtxcolors[1]
#define VTXCGREEN   vtxcolors[2]
#define VTXCYELLOW  vtxcolors[3]
#define VTXCBLUE    vtxcolors[4]
#define VTXCMAGENTA vtxcolors[5]
#define VTXCCYAN    vtxcolors[6]
#define VTXCWHITE   vtxcolors[7]

#define RPANEL_WIDTH 95
#define CANVAS_OFFSET 40

#define XVNULL ((Xv_opaque)0)


typedef struct image_data_s {
  const char *bits;
  const int width, height;
  Server_image image;
} image_data_t;
typedef struct {
  XFontStruct *normal, *doubleht;
  int width, height;
  char fontname[8];
  vtxbmfont_t *bmfont;
} vtxfont_t;


extern image_data_t hist_image[], search_image[], tvset_image[];
extern const char *menu_tags[MENU_COUNT][14];
extern char *intv_fname;
extern Display *dpy;
extern Window rootid, frameid;
extern int screen_num;
extern Cms cms;
extern unsigned long vtxcolors[];
extern GC vtxgc;
extern Pixmap dith_bm[];
extern vtxfont_t vtxfonts[];
extern int vtxmaxfont;
extern vtx_info_t vtx_info;
extern Frame frame;
extern Panel right_panel, main_panel, hist_panel, search_panel;
extern Panel_item pgnum_item, subpgnum_item, cont_button, checkbox, intv_reveal_toggle;
extern Panel_item pgmsg_item;
extern Menu scr_menu, font_menu;

#endif /* XINIT_H_INCLUDED */
