#ifndef XVTOOLS_H_INCLUDED
#define XVTOOLS_H_INCLUDED

/* $Id: xvtools.h,v 1.1 1996/09/26 20:24:53 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */

#include <stdio.h>
#include <xview/xview.h>
#include <xview/notify.h>


/* Flags for set_frame_constraints */
#define FRC_WSHRINK (1<<0)
#define FRC_HSHRINK (1<<1)
#define FRC_WGROW   (1<<2)
#define FRC_HGROW   (1<<3)


void xv_sleep(int sec, int usec);
FILE * xv_popen(const char *cmd, const char *type);
int xv_pclose(Notify_client client, FILE *stream);
void confirm_notice(Frame parent, int block, const char *msg);
void confirm_notice_v(Frame parent, int block, const char *msg, ...);
void center_frame(Frame parent, Frame new_frame);
void set_frame_constraints(Frame frame, int wmin, int wmax, int hmin, int hmax, int flags);

#endif /* XVTOOLS_H_INCLUDED */
